Bug 58573 - named -u doesn't work
named -u doesn't work
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: bind (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-20 02:50 EST by Bojan Smojver
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-20 23:34:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Strace output of named attempting to start with -u named args (12.62 KB, text/plain)
2002-01-20 23:34 EST, Piet E Barber
no flags Details

  None (edit)
Description Bojan Smojver 2002-01-20 02:50:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20011126
Netscape6/6.2.1

Description of problem:
I've upgraded to it from release 1 and something was changed so that the -u
option doesn't work any more. Something along the lines of 'you have to have
2.2.18 or 2.3.99 kernel or better'. I have 2.4.17...



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RPM.
2. Run /etc/init.d/named start
3.
	

Actual Results:  Named refused to run saying that this version of the kernel
doesn't support setuid().

Expected Results:  Should run, just like package release 1 did.

Additional info:
Comment 1 Piet E Barber 2002-01-20 23:34:31 EST
Created attachment 42974 [details]
Strace output of named attempting to start with -u named args
Comment 2 Bernhard Rosenkraenzer 2002-01-22 06:18:54 EST
Using rawhide binaries on a non-rawhide system is not supported. Rebuild the
source RPM on your system and it's likely to work.

Note You need to log in before you can comment on or make changes to this bug.